from fastapi import FastAPI
from app.api.api import api_router
from app.db.database import create_db_and_tables

app = FastAPI(
    title="Product Catalog API",
    description="A simple product catalog API with CRUD operations",
    version="0.1.0",
)

@app.on_event("startup")
def on_startup():
    create_db_and_tables()

app.include_router(api_router)

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)